﻿Public Class FileForm
    Private _pcFilename As String = ""
    Private _terminalFilename As String = ""
    Private _continueWhenNotAvailable As Boolean = False
    Private _downloadType As Integer = 0
    Private _terminalDrive As Integer = 0
    Private _formText As String = ""
    Private _useDownType As Boolean = False

    Private Sub FileForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Text = _formText
        comboDownType.Enabled = _useDownType

        textPCFile.Text = _pcFilename
        comboDownType.SelectedIndex = _downloadType
        checkContinueWhenNotAvailable.Checked = _continueWhenNotAvailable
        textTerminalFile.Text = _terminalFilename
        comboDrive.SelectedIndex = _terminalDrive
    End Sub

    Property PcFilename() As String
        Get
            Return _pcFilename
        End Get
        Set(ByVal value As String)
            _pcFilename = value
        End Set
    End Property

    Property TerminalFilename() As String
        Get
            Return _terminalFilename
        End Get
        Set(ByVal value As String)
            _terminalFilename = value
        End Set
    End Property

    Property ContinueWhenNotAvailable() As Boolean
        Get
            Return _continueWhenNotAvailable
        End Get
        Set(ByVal value As Boolean)
            _continueWhenNotAvailable = value
        End Set
    End Property

    Property DownloadType() As Integer
        Get
            Return _downloadType
        End Get
        Set(ByVal value As Integer)
            _downloadType = value
        End Set
    End Property

    Property TerminalDrive() As Integer
        Get
            Return _terminalDrive
        End Get
        Set(ByVal value As Integer)
            _terminalDrive = value
        End Set
    End Property

    WriteOnly Property FormText() As String
        Set(ByVal value As String)
            _formText = value
        End Set
    End Property

    WriteOnly Property UseDownType() As Boolean
        Set(ByVal value As Boolean)
            _useDownType = value
        End Set
    End Property


    Private Sub buttonOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles buttonOK.Click
        ' Save the settings in the properties
        _pcFilename = textPCFile.Text
        _terminalFilename = textTerminalFile.Text
        _continueWhenNotAvailable = checkContinueWhenNotAvailable.Checked
        _downloadType = comboDownType.SelectedIndex
        _terminalDrive = comboDrive.SelectedIndex
    End Sub

    Private Sub buttonSetFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles buttonSetFile.Click
        Dim fileDlg As OpenFileDialog = New OpenFileDialog()
        fileDlg.Multiselect = False
        If (fileDlg.ShowDialog() = DialogResult.OK) Then
            textPCFile.Text = fileDlg.FileName
        End If
    End Sub
End Class