﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OseCommApp.CSharp
{
    public partial class QueryForm : Form
    {
        private string _fileName = "";
        private int _terminalDrive = 0;
        private string _formText = "";

        public QueryForm()
        {
            InitializeComponent();
        }

        private void QueryForm_Load(object sender, EventArgs e)
        {
            Text = _formText;
            textTerminalFile.Text = _fileName;
            comboDrive.SelectedIndex = _terminalDrive;
        }

        public string TerminalFilename
        {
            get
            {
                return _fileName;
            }
            set
            {
                _fileName = value;
            }
        }

        public int TerminalDrive
        {
            get
            {
                return _terminalDrive;
            }
            set
            {
                _terminalDrive = value;
            }
        }

        public string FormText
        {
            set
            {
                _formText = value;
            }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            _fileName = textTerminalFile.Text;
            _terminalDrive = comboDrive.SelectedIndex; 
        }

    }
}
